
jQuery(function() {

	// Valido que no exista la misma reserva para ese localizador
	// en el mismo día y a la misma hora
	// Si es de horas valle no le permito reservar y al resto le aviso
	// Compruebo también si quedan plazas libres en el momento de reservar
	var FormReservar = jQuery('#FormReservar'),
	ReservarAction   = FormReservar.attr('action');
	FormReservar.removeAttr('action');
	
	jQuery("#BotonReservar").click(function() {
				
		// Localizador
		var localizador = jQuery('#Localizador').val();
		// Usuarios
		if(document.getElementById('unidades')){
			var usuarios = jQuery('#unidades').val();
			jQuery('#Unidades').val(usuarios);
		}else{
			var usuarios = jQuery('#spinner_reservas').val(); 
		}
		// Hora
		if(jQuery('#HorasPistas').val() == 0){
			var hora = jQuery('#Horas').val(); 
		}else{
			var hora = jQuery('#HorasPistas').val(); 
		}
	
		// Servicio 
		if(jQuery('#ServiciosPistas').val() == 0){
			var servicio = jQuery('#Servicios').val(); 
		}else{
			var servicio = jQuery('#ServiciosPistas').val();
		}	
						
		jQuery.ajax({
			type     : 'POST',
			url      : '//' + location.host + '/wp-content/plugins/visitas/modules/visitas/reservas/ajax/comprueba_plazas.php',
			dataType : 'json',
			data     : { 
				"localizador" : localizador,
				"servicio"    : servicio,
				"hora"        : hora,
				"usuarios"    : usuarios
			},
			cache    : false
			
		}).done(function(json) { 
					
			if(json == 0){
				div               = document.getElementById("ValidarPlazas");
				div.style.display = "";
		
				jQuery("#ValidarPlazas").html('Lo sentimos, no hay plazas disponibles en el horario seleccionado. Por favor, seleccione otro.');
			}else{
				div               = document.getElementById("ValidarPlazas");
				div.style.display = "none";

				FormReservar.attr('action', ReservarAction);
				FormReservar.submit();
			}
		});
		
		return false;	
		
	});
});

// Para localizadores en los que ya han hecho una reserva en la fecha y
// hora seleccionadas
// Muestro mensaje de que ya tienen reserva pero si quieren pueden continuar
var reservarSolapadas = false;

// Para comprobar número de usos del localizador
var usos = false;

// Comprobación de si es BONO GENÉRICO para comprobar los usos que 
// se han hecho de cada uno de los servicios
var permiteReservar = false;
